JBoss API: Class JDBCFindEntitiesCommand

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jaws.jdbc
Class JDBCFindEntitiesCommand

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jaws.jdbc.JDBCFindEntitiesCommand

All Implemented Interfaces:
  JPMFindEntitiesCommand

public class JDBCFindEntitiesCommand
extends java.lang.Object
implements JPMFindEntitiesCommand

Keeps a map from finder name to specific finder command, and delegates to the relevant specific finder command.

Version:
  $Revision: 1.10.2.3 $

  Revisions:

  20010812 vincent.harcq@hubmethods.com:

  - Make load of automated finder method work with local home interfaces
Author:
  Rickard Öberg, Marc Fleury, Joe Shevland, Justin Forder
See Also:
  `JPMFindEntitiesCommand`

Constructor Summary
`JDBCFindEntitiesCommand(JDBCCommandFactory factory)`

Method Summary
`FinderResults` | `execute(java.lang.reflect.Method finderMethod, java.lang.Object[] args, EntityEnterpriseContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCFindEntitiesCommand

    public JDBCFindEntitiesCommand(JDBCCommandFactory factory)

Method Detail

### execute

    public FinderResults execute(java.lang.reflect.Method finderMethod,
                                 java.lang.Object[] args,
                                 EntityEnterpriseContext ctx)
                          throws java.rmi.RemoteException,
                                 javax.ejb.FinderException

  Specified by:
    `execute` in interface `JPMFindEntitiesCommand`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.